% Dosazeni do definičních vztahů parametrů.
% Zdroj výpočetního algoritmu jsou z oficiálních webové stránky výrobce
% programu  Matlab 
% (http://www.mathworks.com/matlabcentral/fileexchange/11392-acmus-room-aco
% ustic-parameters)

function [C50]=energ_C50(energia,Fs);

t50 = round(0.05*Fs);
t80 = round(0.08*Fs);

C50 = 10*log10(integral(energia(1:t50),Fs)/integral(energia(t50:end),Fs));
C80 = 10*log10(integral(energia(1:t80),Fs)/integral(energia(t80:end),Fs));

E = integral(energia,Fs);
x=(0:length(energia)-1)/Fs;
CT = integral(energia(:).*x(:),Fs)/E;

end

function P = integral(p,Fs)
P = (sum(p)-(p(1)+p(end))/2)/Fs;
end
